# Marketing KPI

![](/files/FQZPe5y6KyT1y39N4b4E)

The [SmartAdmin Marketing KPI](https://www.gotbootstrap.com/themes/smartadmin/4.5.1/intel_marketing_dashboard.html) component is native to the SmartAdmin theme. &#x20;

## Library <a href="#library" id="library"></a>

The Marketing KPI component is located in the SmartAdmin for WireBootstrap library file located at `\lib\smart-admin`.

## Class <a href="#class" id="class"></a>

The Marketing KPI extends the [wire.ui.component](https://docs.wirebootstrap.com/wirebootstrap/reference/wire.ui/wire.ui.component) class. As such, it inherits all the base functionality of that class.

To create a new instance of the Marketing KPI component, use the `wire.smartAdmin.kpiMarketing` class.

```
const kpi = wire.smartAdmin.kpiMarketing();
```

## Example <a href="#example" id="example"></a>

An example that demonstrates the Marketing KPI component can be found in the SmartAdmin for WireBootstrap project at `\pages\kpis-marketing.html`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wirebootstrap.com/smart-admin/components/marketing-kpi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
